#include <Wire.h>
#include "Adafruit_MCP23017.h"

// Basic pin reading and pullup test for the MCP23017 I/O expander
// public domain!

// Connect pin #12 of the expander to Analog 5 (i2c clock)
// Connect pin #13 of the expander to Analog 4 (i2c data)
// Connect pins #15, 16 and 17 of the expander to ground (address selection)
// Connect pin #9 of the expander to 5V (power)
// Connect pin #10 of the expander to ground (common ground)
// Connect pin #18 through a ~10kohm resistor to 5V (reset pin, active low)

// Input #0 is on pin 21 so connect a button or switch from there to ground
Adafruit_MCP23017 mcp;
Adafruit_MCP23017 mcp1;  
void setup() {  
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
    }
  Serial.println("I2C MCP23017 test - Thomas Stephens");
  mcp.begin(0);      // use default address 0
  for (int x = 0;x < 8;x++) {
  	mcp.pinMode (x, INPUT);
  	mcp.pullUp(x, HIGH);  // turn on a 100K pullup internally
  	mcp.pinMode(x + 8, OUTPUT);
    mcp.digitalWrite(x + 8, LOW);
	}
  mcp.writeGPIOAB(0x00ff); // clear and reset all
  mcp1.begin(1);      // use default address 0
  for (int x = 0;x < 8;x++) {
  	mcp1.pinMode (x, INPUT);
  	mcp1.pullUp(x, HIGH);  // turn on a 100K pullup internally
  	mcp1.pinMode(x + 8, OUTPUT);
    mcp1.digitalWrite(x + 8, LOW);
	}
  mcp1.writeGPIOAB(0x00ff); // clear and reset all
  pinMode(13, OUTPUT);  // use the p13 LED as debugging
}



void loop() {
  // The LED will 'echo' the button
for (int x = 0;x < 8;x++) {
  int outVal;
  if (mcp.digitalRead(x) == LOW) {
  {outVal = HIGH;}
   Serial.print("button ");
   Serial.println(x + 1);
  }
  else outVal = LOW;

	mcp.digitalWrite(x + 8, outVal);
	mcp1.digitalWrite(x + 8, outVal);}	
  
}
